Subject: Recently removed io accessors

From: Peter Korsgaard <[email-masked]>
Date: Thu, 12 Oct 2006 17:44:56 +0200

Hi,

Commit 661f1cdb8b3e3c2c44e97df122c1d5643c054ce8 ([POWERPC] remove
unused asm routines) removed the _insl / _outsl routines for 32bit
copies with byteswap.

I've been working on adding ppc support to drivers/net/smc911x.c, and
I was unfortunately using those routines (The ethernet controller can
be configured for big endian mode, but the contents of the internal
packet buffers is still little endian, so you need to byteswap in the
tx/rx routines).

Any chance of getting them back or should I implement a (slower) loop
myself before submitting the patch?

-- 
Bye, Peter Korsgaard